Bug 223007 - gnucash does not observe system default toolbar style
gnucash does not observe system default toolbar style
Product: Fedora
Classification: Fedora
Component: gnucash (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2007-01-17 10:19 EST by P Jones
Modified: 2014-03-16 23:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 13:22:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screenshot showing toolbar preferences, gnucash 2.0.2 (167.69 KB, image/png)
2007-01-17 11:55 EST, P Jones
no flags Details

  None (edit)
Description P Jones 2007-01-17 10:19:53 EST
Description of problem: Selecting "Use system default" in Prefrences > Windows >
Toolbar Style does NOT cause gnucash to use system defaults.

Version-Release number of selected component (if applicable): gnucash-2.0.4-1.fc6

How reproducible: Set GNOME toolbar preferences to show icons only, select "Use
system default" in gnucash Preferences > Windows > Toolbar Style, watch how
nothing happens and text stays under icons. Selecting "Icons only" in gnucash
preferences works as expected, as do the other choices.
Comment 1 Bill Nottingham 2007-01-17 11:10:07 EST
Most apps don't respect that pref; that pref only changes bonobo toolbars
(Evolution, etc), not the GTK+ toolbars as used by gnucash, gedit, sol, and so

There's nothing for gnucash to do here unless the capplet is updated - moving there.
Comment 2 P Jones 2007-01-17 11:55:20 EST
Created attachment 145836 [details]
Screenshot showing toolbar preferences, gnucash 2.0.2
Comment 3 P Jones 2007-01-17 17:14:12 EST
Comment on attachment 145836 [details]
Screenshot showing toolbar preferences, gnucash 2.0.2

The screenshot shows how gnucash 2.0.2 observed GNOME toolbar preferences.
Comment 4 Bastien Nocera 2007-02-14 08:05:36 EST
The "detachable toolbars" setting should be removed upstream, pretty much
nothing uses it anymore, and moving toolbars is just a gimmick.
Comment 5 Bastien Nocera 2007-02-15 11:40:51 EST
I've just filed:
Comment 6 P Jones 2007-02-16 08:37:20 EST
My bug report was not about detachable toolbars, it was about text under toolbar
icons. Gnucash 2.0.4 does NOT observe GNOME Menus & Toolbar preferences. If I
set "Toolbar button labels" to "Icons only", Gnucash  2.0.4 will still show text
under the toolbar icons.
Comment 7 Bastien Nocera 2007-02-16 08:46:56 EST
My mistake. The upstream bug still stands, and the problem lies with GNUCash to
fix that problem. Epiphany and Rhythmbox don't use Bonobo and are still able to
follow that setting, so GNUCash should be able to as well.
Comment 8 Bug Zapper 2008-04-04 01:38:32 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 9 Bug Zapper 2008-05-06 13:22:11 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.